#include<stdio.h>
#include<stdlib.h> 
#include<string.h>

/*
Ejercicio:
Programa en C que pida al usuario 2 cadenas de 100 caracteres 
y les cargue información. 

Después
- las muestra
- indicará la longitud de cada una
- indicará si son iguales entre ellas o no
- copia el contenido de la primera en la segunda y mostrar de nuevo ambás.

*/

int main(){

    /* Variables */
    char cadena1[100];
    char cadena2[100];
    int longitud;

    printf("\nIntroduce la primera cadena: ");
    fflush(stdin);
    scanf("%s", cadena1);


fflush(stdin);

    printf("\nIntroduce la segunda cadena: ");
    fflush(stdin);
    scanf("%s", cadena2);

    printf("\n");


    /* Mostrar */
    printf("\n###################\nMostrar las cadenas\n###################");
    printf("\nCadena 1: %s", cadena1);
    printf("\nCadena 2: %s", cadena2);

    printf("\n");


    /* indicará la longitud de cada una*/
    printf("\n#######################\nLongitud de las cadenas\n#######################");

    longitud=strlen(cadena1);
    printf("\nLa Cadena 1 mide: %d", longitud);
    
    longitud=strlen(cadena2);
    printf("\nLa Cadena 2 mide: %d", longitud);

    printf("\n");

    /* indicará si son iguales entre ellas o no*/
    printf("\n####################\nComparar las cadenas\n####################");

    if (strcmp(cadena1,cadena2)==0){
	    printf("\n Las cadenas son iguales");
    }else{
	    printf("\n Las cadenas no son iguales. ");

        if(strcmp(cadena1, cadena2)<0){
            printf("La Cadena 1 \"%s\" es alfabeticamente anterior a cadena2 \"%s\"",cadena1,cadena2);
        }else{
            printf("La Cadena 2 \"%s\" es alfabeticamente anterior a cadena 1 \"%s\"",cadena2,cadena1);
        }
    }

    printf("\n");

    
    /* copia el contenido de la primera en la segunda y mostrar de nuevo ambás.*/

    printf("\n##########################################\nCopio la cadena 1 en la cadena 2 y muestro\n##########################################");

    strcpy(cadena2,cadena1);


    printf("\nCadena 1: %s", cadena1);
    printf("\nCadena 2: %s", cadena2);
    printf("\n\n");


}